curl --request POST \
--url https://api.prime.coinbase.com/v1/entities/{entity_id}/funding_settings \
--header 'Content-Type: application/json' \
--data '
{
"designated_funding_portfolio_id": "a0724c0c-0f9e-4525-baf4-1aa8fce77eb2",
"automatic_conversion_enabled": true,
"automatic_excess_return_enabled": true,
"excess_funds_target_amount": "1000.00",
"automatic_loan_enabled": true
}
'import requests
url = "https://api.prime.coinbase.com/v1/entities/{entity_id}/funding_settings"
payload = {
"designated_funding_portfolio_id": "a0724c0c-0f9e-4525-baf4-1aa8fce77eb2",
"automatic_conversion_enabled": True,
"automatic_excess_return_enabled": True,
"excess_funds_target_amount": "1000.00",
"automatic_loan_enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
designated_funding_portfolio_id: 'a0724c0c-0f9e-4525-baf4-1aa8fce77eb2',
automatic_conversion_enabled: true,
automatic_excess_return_enabled: true,
excess_funds_target_amount: '1000.00',
automatic_loan_enabled: true
})
};
fetch('https://api.prime.coinbase.com/v1/entities/{entity_id}/funding_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_id": "<string>",
"activity_type": "<string>",
"num_approvals_remaining": 123
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"subcode": "ENTITY_ID_REQUIRED",
"trace_id": "<string>"
}{
"code": "AUTHENTICATION_FAILED",
"message": "<string>",
"subcode": "AUTH_UNAUTHENTICATED",
"trace_id": "<string>"
}{
"code": "PERMISSION_DENIED",
"message": "<string>",
"subcode": "AUTH_RESOURCE_ACCESS_DENIED",
"trace_id": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"subcode": "AUTH_RESOURCE_NOT_FOUND",
"trace_id": "<string>"
}{
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>",
"subcode": "SERVER_RATE_LIMIT_EXCEEDED",
"trace_id": "<string>"
}{
"code": "SERVICE_UNAVAILABLE",
"message": "<string>",
"subcode": "SERVER_MAINTENANCE_MODE_ACTIVE",
"trace_id": "<string>"
}Update Funding Settings
Sets FCM funding configuration for the entity and submits the desired configuration to Prime API for approval.
Path Parameters
Prime Entity ID
Body
Set the Derivatives Funding Portfolio that will be used to fund FCM margin calls and receive excess margin sweeps. Only one portfolio per entity.
"a0724c0c-0f9e-4525-baf4-1aa8fce77eb2"
When true, USDC in your Derivatives Funding Portfolio will be converted to USD to meet FCM margin calls (Auto-Convert USDC).
When true, any FCM account balance above your margin requirements will be automatically swept back to your Derivatives funding portfolio. (Auto-Return Excess Margin)
Weekend Buying Power: Setting a target amount to maintain in your Futures account above margin requirements. You can only withdraw funds in excess of this amount.
"1000.00"
Deprecated: Auto-Initiate Loans is now always enabled for Financing customers. Any value sent for this field is ignored.
Was this page helpful?